%define xtt_ver 1.3
#%define verdep = %version-%release
%define verdep	%nil

Name: XFree86-compat
Version: 3.3.6
Release: ipl24mdk

Summary: Part of the XFree86 implementation of the X Window System
License: MIT
Group: System/XFree86

Requires: pam >= 0.66-18, XFree86-xfs, util-linux, xinitrc >= 2.4.4-10mdk
Requires: XFree86-libs = %version-%release xterm
Requires: cpp
PreReq: chkconfig utempter

# Automatically added by buildreq on Thu Feb 21 2002
BuildRequires: XFree86-devel bison flex freetype-devel libpam-devel zlib-devel

Source0: ftp://ftp.xfree86.org/pub/XFree86/3.3.3/X333src-1.tar.bz2
Source1: ftp://ftp.xfree86.org/pub/XFree86/3.3.3/X333src-2.tar.bz2
Source2: ftp://ftp.xfree86.org/pub/XFree86/3.3.3/X333src-3.tar
Source3: xserver.pamd
Source4: xdm.pamd
Source5: xfs.init
Source6: xfs.config
Source8: xdm.init
Source9: twm.method
Source10: system.twmrc
Source11: XFree86.compose.dir.bz2
Source12: XFree86.locale.dir.bz2
Source13: XFree86.locale.alias.bz2
# quick hack, to be removed after cleaning up the i18n patch -- srtxg
Source14: keysymdef.h
Source100: Euro.xmod
#Source101: XCompose-lat9.bz2
Source102: eurofonts-X11.tar.bz2
Source150: http://X-TT.dsl.gr.jp/dists/1.x/1.2/xtt-%xtt_ver.tar.bz2
Source151: mdk_drakx_fonts.tar.bz2
Source152: http://www.probo.com/timr/savsrc.tar.bz2
Source153: xf86Wacom.c.bz2

Patch0: XFree86-3.3.5-mdk.patch
Patch1: XFree86-3.3.3.1-rhxdm.patch
Patch2: XFree86-3.3.5-fsstnd.patch

Patch5: XFree86-Servers-3.3.6-xf-3_3-branch-2001-05-22.patch.bz2

Patch10: XFree86-3.3.6-sparc.patch.bz2
Patch11: XFree86-3.3.4-ffb.patch.bz2
Patch12: XFree86-3.3.4b-suncards.patch
Patch13: XFree86-3.3.4-sparc2.patch
Patch14: XFree86-3.3.4-creator2.patch.bz2
Patch15: XFree86-3.3.4-newcreator.patch.bz2
Patch16: XFree86-3.3.4-sparc3.patch
Patch17: XFree86-3.3.4-mach64.patch.bz2
Patch18: XFree86-3.3.3.1-creator4.patch

Patch19: XFree86-3.3.5-nosuidxterm.patch
Patch20: XFree86-3.3.3-joy.patch
Patch21: XFree86-3.3.5-mach64_2.patch

Patch23: XFree86-3.3.6-startx_xauth.patch
#Patch24: XFree86-3.3.6-xfsredhat.patch
Patch25: XFree86-3.3.3.1-ffbcrash.patch
Patch26: XFree86-3.3.3.1-ru_sparc.patch
Patch27: XFree86-3.3.5-creator3.patch
Patch28: XFree86-3.3.3.1-sparcmhead.patch
Patch30: XFree86-3.3.5-ssa50.patch

Patch51: XFree86-3.3.6-xtermresources.patch
Patch55: XFree86-3.3.6-si_xkb.patch
Patch58: XFree86-3.3.6-5480mem.patch
Patch60: XFree86-3.3.6-fixreleasedate.patch

Patch100: 3.3.3-3.3.4.diff.bz2
Patch101: 3.3.4-3.3.5.diff.bz2
Patch102: 3.3.5-3.3.6.diff.bz2

#
Patch152: XFree86-3.3.3.1-Sessions.patch
Patch153: XFree86-3.3.3.1-xsetupmdk.patch

#
Patch154: XFree86-xtt-1.3.patch
Patch155: xtt-fix-current.patch

Patch200: XFree86-xfs-fix.patch
#Patch201: XFree86-twm.patch

#Pablo i18n patchs
Patch203: xtt-1.3-lithuanian_mscp.diff
Patch204: XFree86-3.3.3-TrueType.patch
Patch205: XFree86-3.3.5-i18n.diff.bz2
Patch206: xtt-1.3-big5.patch
#Patch207: XFree86-3.3.6-fixkbd.diff.bz2

Patch301: XFree86-imake-alpha.patch

# compile GLINT server on sparc arch
Patch302: XFree86-3.3.6-sparc-glint.patch

#security patches
#Patch400: XFree86-3.3.6-secauth_dos.patch

#Fixes from ftp://ftp.xfree86.org/pub/XFree86/3.3.6/fixes
#Patch500: fix-01-r128
#Patch501: fix-02-svr4
#patch502: fix-03-mmap
Patch503: fix-04-s3trio3d2x
Patch504: fix-05-s3trio3d
Patch505: fix-06-s3trio3d2x
Patch506: fix-07-s3trio64v2gx+netfinity
Patch507: XFree86-3.3.6-redhat-fix-08-s3savage_ix-mx.patch.bz2

Patch600: XFree86-3.3.6-fbdev-compil.patch

Patch700: XFree86-3.3.6-fbdev.patch
Patch701: XFree86-3.3.6-fixdeadkeys.patch
Patch702: XFree86-3.3.6-i128-missingsemicolon.patch
Patch703: XFree86-3.3.6-i815-support.patch
Patch704: XFree86-3.3.6-new-i810.patch
Patch705: XFree86-3.3.6-parallelmake.patch
Patch706: XFree86-3.3.6-svgaprobe.patch
Patch707: XFree86-3.3.6-xdmsecurity.patch

# K6 patch
Patch800: XFree86-3.3.6-xterm-config.sub-k6.patch

Patch900: XFree86-3.3.6-imake-get_libc_version.patch

Exclusivearch: %ix86 alpha sparc m68k armv4l

Obsoletes: xserver-wrapper xterm-color

%description
If you want to install the X Window System (TM) on
your machine, you'll need to install XFree86.

The X Window System provides the base technology
for developing graphical user interfaces. Simply stated,
X draws the elements of the GUI on the user's screen and
builds methods for sending user interactions back to the
application. X also supports remote application deployment--running an
application on another computer while viewing the input/output
on your machine.  X is a powerful environment which supports
many different applications, such as games, programming tools,
graphics programs, text editors, etc.  XFree86 is the version of
X which runs on Linux, as well as other platforms.

This package contains the basic fonts, programs and documentation
for an X workstation.  However, this package doesn't provide the
program which you will need to drive your video hardware.  To
control your video card, you'll need the particular X server
package which corresponds to your computer's video card.

In addition to installing this package, you will need to install
the XFree86 package which corresponds to your video card, the
X11R6-contrib package, the Xconfigurator package and the XFree86-libs
package. You may also need to install one of the XFree86 fonts packages.

And finally, if you are going to develop applications that run as
X clients, you will also need to install XFree86-devel.

%package 75dpi-fonts
Summary: A set of 75 dpi resolution fonts for the X Window System
Group: System/Fonts/X11 bitmap
PreReq: chkfontpath, psmisc, /usr/X11R6/bin/xset
%ifarch sparc sparc64
Obsoletes: X11R6.1-75dpi-fonts
%endif

%description 75dpi-fonts
XFree86-75dpi-fonts contains the 75 dpi fonts used
on most X Window Systems. If you're going to use the
X Window System, you should install this package, unless
you have a monitor which can support 100 dpi resolution.
In that case, you may prefer the 100dpi fonts available in
the XFree86-100dpi-fonts package.

You may also need to install other XFree86 font packages.

To install the X Window System, you will need to install
the XFree86 package, the XFree86 package corresponding to
your video card, the X11R6-contrib package, the Xconfigurator
package and the XFree86-libs package.

Finally, if you are going to develop applications that run
as X clients, you will also need to install the
XFree86-devel package.

%package 100dpi-fonts
Summary: X Window System 100dpi fonts
Group: System/Fonts/X11 bitmap
PreReq: chkfontpath, psmisc, /usr/X11R6/bin/xset
%ifarch sparc sparc64
Obsoletes: X11R6.1-100dpi-fonts
%endif

%description 100dpi-fonts
If you're going to use the X Window System and you have a
high resolution monitor capable of 100 dpi, you should install
XFree86-100dpi-fonts. This package contains a set of
100 dpi fonts used on most Linux systems.

If you are installing the X Window System, you will also
need to install the XFree86 package, the XFree86
package corresponding to your video card, the X11R6-
contrib package, the Xconfigurator package and the
XFree86-libs package. If you need to display certain
fonts, you may also need to install other XFree86 fonts
packages.

And finally, if you are going to develop applications that
run as X clients, you will also need to install the
XFree86-devel package.

%package cyrillic-fonts
Summary: Cyrillic fonts - only needed on the server side
Group: System/Fonts/X11 bitmap
PreReq: chkfontpath, psmisc, /usr/X11R6/bin/xset

%description cyrillic-fonts
The Cyrillic fonts included with XFree86 3.3.2 and higher. Those who
use a language requiring the Cyrillic character set should install
this package.

%package libs
Summary: Shared libraries needed by the X Window System version 11 release 6
Group: System/Libraries
PreReq: grep /sbin/ldconfig
Requires: freetype >= 1.3
%ifarch sparc sparc64
Obsoletes: X11R6.1-libs
%endif

%description libs
XFree86-libs contains the shared libraries that most X programs
need to run properly. These shared libraries are in a separate package in
order to reduce the disk space needed to run X applications on a machine
without an X server (i.e, over a network).

If you are installing the X Window System on your machine, you will need to
install XFree86-libs.  You will also need to install the XFree86 package,
the XFree86-75dpi-fonts package or the XFree86-100dpi-fonts package
(depending upon your monitor's resolution), the Xconfigurator package and
the X11R6-contrib package.  And, finally, if you are going to be developing
applications that run as X clients, you will also need to install
XFree86-devel.

%package -n XFree86-server-common
Summary: Font library
Group: System/XFree86
Obsoletes: XFree86-libfont

%description -n XFree86-server-common
Common files for XFree86 server version 3.x.

%package devel
Summary: X11R6 static libraries, headers and programming man pages
Group: Development/C
%ifarch sparc sparc64
Obsoletes: X11R6.1-devel
%endif
Requires: XFree86-libs = %version-%release, glibc-devel, cpp

%description devel
XFree86-devel includes the libraries, header files and documentation
you'll need to develop programs which run in X clients. XFree86 includes
the base Xlib library as well as the Xt and Xaw widget sets.

For guidance on programming with these libraries, O'Reilly & Associates
produces a series on X programming which you might find useful.

Install XFree86-devel if you are going to develop programs which
will run as X clients.

%package doc
Summary: Documentation on various X11 programming interfaces
Group: System/XFree86

%description doc
XFree86-doc provides a great deal of extensive PostScript documentation
on the various X APIs, libraries, and other interfaces.  If you need
low level X documentation, you will find it here.  Topics include the
X protocol, the ICCCM window manager standard, ICE session management,
the font server API, etc.

%package -n XFree86-S3
Summary: The XFree86 server for video cards based on the S3 chip
Group: System/XFree86
Requires: XFree86 %verdep, XFree86-server-common = %version-%release

%description -n XFree86-S3
XFree86-S3 is the X server for video cards based on S3 chips,
including most #9 cards, many Diamond Stealth cards, Orchid Farenheits,
Mirco Crystal 8S, most STB cards, and some motherboards with built-in
graphics accelerators (such as the IBM ValuePoint line).  Note that if you
have an S3 ViRGE based video card, you'll need XFree86-S3V instead of
XFree86-S3.

If you are installing the X Window System and you have a video card based
on an S3 chip, you should install XFree86-S3.  You will also need to
install the XFree86 package, one or more XFree86 fonts packages, the
X11R6-contrib package, the Xconfigurator package and the XFree86-libs
package.  And, finally, if you are going to develop applications that
run as X clients, you will also need to install XFree86-devel.

%package -n XFree86-I128
Summary: The XFree86 server for #9 Imagine 128 video cards
Group: System/XFree86
Requires: XFree86 %verdep, XFree86-server-common = %version-%release

%description -n XFree86-I128
This is the X server for the #9 Imagine 128 and similar
video boards.

%package -n XFree86-S3V
Summary: The XFree86 server for video cards based on the S3 Virge chip
Group: System/XFree86
Requires: XFree86 %verdep, XFree86-server-common = %version-%release

%description -n XFree86-S3V
XFree86-S3V is the X server for video cards based on the S3
ViRGE chipset.

If you are installing the X Window System and you have a video card based
on an S3 ViRGE chip, you should install XFree86-S3V.  You will also need
to install the XFree86 package, one or more of the XFree86 fonts packages,
the X11R6-contrib package, the Xconfigurator package and the XFree86-libs
package.  And, finally, if you are going to develop applications that
run as X clients, you will also need to install XFree86-devel.

%package -n XFree86-Mach64
Summary: The XFree86 server for Mach64 based video cards
Group: System/XFree86
Requires: XFree86 %verdep, XFree86-server-common = %version-%release

%description -n XFree86-Mach64
XFree86-Mach64 is the server package for cards based on ATI's
Mach64 chip, such as the Graphics Xpression, GUP Turbo, and WinTurbo cards.
Note that this server is known to have problems with some Mach64 cards.
Check http://www.xfree86.org for current information on updating this
server.

If you are installing the X Window System and the video card in your system
is based on the Mach64 chip, you need to install XFree86-Mach64.  You will
also need to install the XFree86 package, one or more of the XFree86 fonts
packages, the X11R6-contrib package, the Xconfigurator package and the
XFree86-libs package.  And, finally, if you are going to be developing
applications that run as X clients, you will also need to install
XFree86-devel.

%package -n XFree86-Sun
Summary: X server for Suns with monochrome and 8-bit color SBUS framebuffers
Group: System/XFree86
Obsoletes: X11R6.1-Sun
Requires: XFree86 %verdep

%description -n XFree86-Sun
To run X Windows programs requires an X server for your specific hardware.
This package includes the X server for Sun computers with monochrome and
8-bit color SBUS framebuffers, like the CG3 and CGSIX.

%package -n XFree86-SunMono
Summary: X server for Sun computers with monochrome SBUS framebuffers only
Group: System/XFree86
Obsoletes: X11R6.1-SunMono
Requires: XFree86 %verdep

%description -n XFree86-SunMono
The XFree86-SunMono package includes an X server for Sun computers with
monochrome SBUS framebuffers only.

If you're installing the X Window System on a Sun computer with
monochrome SBUS framebuffers only, you'll need to install the
XFree86-SunMono package.

%package -n XFree86-Sun24
Summary: X server for Suns with all supported SBUS framebuffers
Group: System/XFree86
Obsoletes: X11R6.1-Sun24
Requires: XFree86 %verdep

%description -n XFree86-Sun24
The XFree86-Sun24 package contains the X server for Sun computers with
all supported SBUS framebuffers.

If you are installing the X Window System on a Sun computer with all
supported framebuffers, you should install the XFree86-Sun24 package.

%package Xvfb
Summary: A virtual framebuffer X Windows System server for XFree86
Group: System/XFree86
Requires: XFree86 %verdep

%description Xvfb
Xvfb (X Virtual Frame Buffer) is an X Windows System server
that is capable of running on machines with no display hardware and no
physical input devices.  Xvfb emulates a dumb framebuffer using virtual
memory.  Xvfb doesn't open any devices, but behaves otherwise as an X
display.  Xvfb is normally used for testing servers.  Using Xvfb, the mfb
or cfb code for any depth can be exercised without using real hardware
that supports the desired depths.  Xvfb has also been used to test X
clients against unusual depths and screen configurations, to do batch
processing with Xvfb as a background rendering engine, to do load testing,
to help with porting an X server to a new platform, and to provide an
unobtrusive way of running applications which really don't need an X
server but insist on having one.

If you need to test your X server or your X clients, you may want to
install Xvfb for that purpose.

%package Xnest
Summary: A nested XFree86 server
Group: System/XFree86
Requires: XFree86-xfs
Requires: XFree86 %verdep

%description Xnest
Xnest is an X Window System server which runs in an X window.
Xnest is a 'nested' window server, actually a client of the
real X server, which manages windows and graphics requests
for Xnest, while Xnest manages the windows and graphics
requests for its own clients.

You will need to install Xnest if you require an X server which
will run as a client of your real X server (perhaps for
testing purposes).

%package -n XFree86-8514
Summary: The XFree86 server program for older IBM 8514 or compatible video cards
Group: System/XFree86
Requires: XFree86 %verdep, XFree86-server-common = %version-%release

%description -n XFree86-8514
If you are installing the X Window System and the video card in
your system is an older IBM 8514 or a compatible from a company
such as ATI, you should install XFree86-8514.

To install the X Window System, you will need to install the
XFree86 package, one or more of the XFree86 fonts packages,
the X11R6-contrib package, the Xconfigurator package and the
XFree86-libs package.

If you are going to develop applications that run as X clients,
you will also need to install the XFree86-devel package.

%package -n XFree86-AGX
Summary: The XFree86 server for AGX-based video cards
Group: System/XFree86
Requires: XFree86 %verdep, XFree86-server-common = %version-%release

%description -n XFree86-AGX
This is the X server for AGX-based cards, such as the Boca
Vortex, Orchid Celsius, Spider Black Widow and Hercules
Graphite.

If you are installing the X Window System and the video card in
your system is an AGX, you'll need to install XFree86-AGX.
To install the X Window System, you will need to install the
XFree86 package, one or more of the XFree86 fonts packages,
the X11R6-contrib package, the Xconfigurator package and the
XFree86-libs package.

Finally, if you are going to develop applications that run as
X clients, you will also need to install the XFree86-devel
package.

%package -n XFree86-Mach32
Summary: The XFree86 server for Mach32 based video cards
Group: System/XFree86
Requires: XFree86 %verdep, XFree86-server-common = %version-%release

%description -n XFree86-Mach32
XFree86-Mach32 is the X server package for video cards built
around ATI's Mach32 chip, including the ATI Graphics Ultra Pro and Ultra
Plus.

If you are installing the X Window System and the video card in your system
is based on the Mach32 chip, you need to install XFree86-Mach32.  You will
also need to install the XFree86 package, one or more of the XFree86 fonts
packages, the X11R6-contrib package, the Xconfigurator package and the
XFree86-libs package.  And, finally, if you are going to develop
applications that run as X clients, you will also need to install
XFree86-devel.

%package -n XFree86-Mach8
Summary: The XFree86 server for Mach8 video cards
Group: System/XFree86
Requires: XFree86 %verdep, XFree86-server-common = %version-%release

%description -n XFree86-Mach8
XFree86-Mach 8 is the X server for video cards built around
ATI's Mach8 chip, including the ATI 8514 Ultra and Graphics Ultra.

If you are installing the X Window System and the video card in your system
is based on the Mach8 chip, you need to install XFree86-Mach8.  You will
also need to install the XFree86 package, one or more of the XFree86 fonts
packages, the X11R6-contrib package, the Xconfigurator package and the
XFree86-libs package.  And, finally, if you are going to be developing
applications that run as X clients, you will also need to install
XFree86-devel.

%package -n XFree86-Mono
Summary: A generic XFree86 monochrome server for VGA cards
Group: System/XFree86
Requires: XFree86 %verdep, XFree86-server-common = %version-%release

%description -n XFree86-Mono
XFree86-Mono is a generic monochrome (2 color) server for VGA cards.
XFree86-Mono will work for nearly all VGA compatible cards, but will
only support a monochrome display.

If you are installing the X Window System and your VGA card is not
currently supported, you should install and try either XFree86-Mono or
XFree86-VGA16, depending upon the capabilities of your display.  You
will also need to install the XFree86 package, one or more of the XFree86
fonts packages, the X11R6-contrib package, the Xconfigurator package and
the XFree86-libs package.  And, finally, if you are going to develop
applications that run as X clients, you will also need to install
XFree86-devel.

%package -n XFree86-P9000
Summary: The XFree86 server for P9000 cards
Group: System/XFree86
Requires: XFree86 %verdep, XFree86-server-common = %version-%release

%description -n XFree86-P9000
XFree86-P9000 is the X server for video cards built around the
Weitek P9000 chip, such as most Diamond Viper cards and the Orchid P9000
card.

If you are installing the X Window System and you have a Weitek P9000
based video card, you should install XFree86-P9000.  You will also need
to install the XFree86 package, one or more of the XFree86 fonts packages,
the X11R6-contrib package, the Xconfigurator package and the XFree86-libs
package.  And, finally, if you are going to develop applications that
run as X clients, you will also need to install XFree86-devel.

%package -n XFree86-SVGA
Summary: An XFree86 server for most simple framebuffer SVGA devices
Group: System/XFree86
Requires: XFree86 %verdep, XFree86-server-common = %version-%release

%description -n XFree86-SVGA
X server for most simple framebuffer SVGA devices, including cards built
from ET4000 chips, Cirrus Logic chips, Chips and Technologies laptop chips,
Trident 8900 and 9000 chips, and Matrox chips. It works for Diamond Speedstar,
Orchid Kelvins, STB Nitros and Horizons, Genoa 8500VL, most Actix boards,
the Spider VLB Plus, etc. It also works for many other chips and cards, so try
this server if you are having problems.

%package -n XFree86-VGA16
Summary: A generic XFree86 server for VGA16 boards
Group: System/XFree86
Requires: XFree86 %verdep, XFree86-server-common = %version-%release

%description -n XFree86-VGA16
XFree86-VGA16 is a generic 16 color server for VGA boards.
XFree86-VGA16 will work on nearly all VGA style graphics boards, but will
only support a low resolution, 16 color display.

If you are installing the X Window System and your VGA video card is not
specifically supported by another X server package, you should install
either XFree86-Mono or XFree86-VGA16, depending upon the capabilities of
your display.  You will also need to install the XFree86 package, one or
more of the XFree86 fonts packages, the X11R6-contrib package, the
Xconfigurator package and the XFree86-libs package.  And, finally, if you
are going to be develop applications that run as X clients, you will also
need to install XFree86-devel.

%package -n XFree86-W32
Summary: The XFree86 server for video cards based on ET4000/W32 chips
Group: System/XFree86
Requires: XFree86 %verdep, XFree86-server-common = %version-%release

%description -n XFree86-W32
XFree86-W32 is the X server for cards built around ET4000/W32
chips, including the Genoa 8900 Phantom 32i, the Hercules Dynamite, the
LeadTek WinFast S200, the Sigma Concorde, the STB LightSpeed, the TechWorks
Thunderbolt, and the ViewTop PCI.

If you are installing the X Window System and your VGA video card is based
on the ET4000/W32 chipset, you should install XFree86-W32.  You will also
need to install the XFree86 package, one or more of the XFree86 fonts
packages, the X11R6-contrib package, the Xconfigurator package and the
XFree86-libs package.  And, finally, if you are going to develop
applications that run as X clients, you will also need to install
XFree86-devel.

%package -n XFree86-3DLabs
Summary: XFree86 3DLabs server
Group: System/XFree86
Requires: XFree86 %verdep, XFree86-server-common = %version-%release

%description -n XFree86-3DLabs
X server for cards built around 3D Labs GLINT and
Permedia chipsets, including GLINT 500TX with IBM RGB526
RAMDAC, GLINT MX with IBM RGB526 and IBM RGB640
RAMDAC, Permedia with IBM RGB526 RAMDAC and the
Permedia 2 (classic, 2a, 2v).

%package -n XFree86-TGA
Summary: X server for systems with Digital TGA boards based on DC21040 chips
Group: System/XFree86
Requires: XFree86 %verdep, XFree86-server-common = %version-%release

%description -n XFree86-TGA
The XFree86-TGA package contains an 8-bit X server for Digital TGA boards
based on the DC21040 chip.  These adapters are very popular in Alpha
workstations and are included with Alpha UDB (Multia) machines.

If you are installing the X Window System and your system uses a
Digital TGA board based on the DC21040 chip, you'll need to install
the XFree86-TGA package.

%package -n XFree86-FBDev
Summary: The X server for the generic frame buffer device on some machines
Group: System/XFree86
Requires: XFree86 %verdep, XFree86-server-common = %version-%release

%description -n XFree86-FBDev
This is the X server for the generic frame buffer device used on
Amiga, Atari and Macintosh/m68k machines.

Support for Intel and Alpha architectures is included in the Linux
2.2 kernel, as well.

%package XF86Setup
Group: System/Configuration/Hardware
Icon: XFree86-XF86Setup-logo.xpm
Summary: A graphical user interface configuration tool for the X Window System
%ifarch %ix86
Requires: XFree86-VGA16
%endif
Requires: XFree86 = %version-%release

%description XF86Setup
XF86Setup is a graphical user interface configuration tool for setting
up and configuring XFree86 servers.  XF86Setup can configure video
settings, keyboard layouts, mouse types, etc.  XF86Setup can't be used
with non-VGA compatible video cards, with fixed-frequency monitors, or
with OS/2.

Install XF86Setup if you have used it before and prefer to keep using
it to configure your X server.  If you do not have a preference for
XF86Setup, you should instead install and use Xconfigurator, Red Hat's
graphical user interface configuration tool for the X Window System.

%package xfs
Group: System/Servers
Summary: Font server for XFree86
# The URL of te X-TT font server
Url: http://X-TT.dsl.gr.jp/
PreReq: shadow-utils
Requires: initscripts >= 4.01
Requires: XFree86-libs = %version-%release
Obsoletes: xtt

%description xfs
This is a font server for XFree86.  You can serve fonts to other X servers
remotely with this package, and the remote system will be able to use all
fonts installed on the font server, even if they are not installed on the
remote computer.

%prep
%setup -q -c -a 1 -a 2 -a 150

# the following upgrades the tree to 3.3.6
bzcat %PATCH100 | patch -d xc -p1 -b -z .3.3.4 -s
bzcat %PATCH101 | patch -d xc -p1 -b -z .3.3.5 -s
bzcat %PATCH102 | patch -d xc -p1 -b -z .3.3.6 -s

# Latest CVS branh patch
%patch5 -p0

# Apply fixes from XFree86
#%patch500 -p0
#%patch501 -p0
#%patch502 -p0
%patch503 -p0
%patch504 -p0
%patch505 -p0
%patch506 -p0
%patch507 -p0

#fix from http://www.probo.com/timr/savagemx.html
bzcat %SOURCE152 | tar xv -C xc/programs/Xserver/hw/xfree86/vga256/drivers/s3_savage

# wacom driver
bzcat %SOURCE153 > xc/programs/Xserver/hw/xfree86/common/xf86Wacom.c


# Clean up to save a *lot* of disk space
find . -name "*.orig" -o -name "*~" -print | xargs rm -f
find . -size 0 -print | xargs rm -f

bzcat $RPM_SOURCE_DIR/xtt-1.3.tar.bz2 | tar xvf -

# Patch Again patchs
%patch154 -p0

# patch patches...
%patch155 -p0

# fix xfs
%patch200 -p0

# Support for TrueType fonts using X-TT 1.3

tar xf xtt-%xtt_ver/xtt-core.tar -C xc/lib/font
#for i in shared-libfont-1.2.diff xfs-for-delayed-font-1.0.diff make-xfs-only-1.3.diff xtt-xf335-changes.diff
for i in shared-libfont-1.2.diff xfs-for-delayed-font-1.0.diff xtt-xf335-changes.diff
do
    echo "Patch: $i"
    patch -p0 -t -E -N < xtt-%xtt_ver/$i
done

## Ok let's patch :
# Standard fhs
%patch0 -p1 -b .mdk
%patch1 -p1 -b .rhxdm
%patch2 -p0 -b .fsstnd

# Others (security and bug fix).
%patch19 -p1 -b .nosuidxterm
%patch20 -p1 -b .joy
%patch23 -p1 -b .startx_xauth
#%patch24 -p0 -b .xfsredhat
%patch30 -p1 -b .ssa50

# KDE and GNOME sessions in xdm...
%patch152 -p0
%patch153 -p0

# sparc patches from ultrapenguin
%ifarch sparc
%patch10 -p1 -b .sparc
%patch11 -p1 -b .ffb

# more sun patches from ultrapenguin
%patch12 -p1 -b .suncards
%patch13 -p1 -b .sparc2
%patch14 -p1 -b .creator2
%patch15 -p1 -b .newcreator
%patch16 -p1 -b .sparc3
%patch17 -p1 -b .mach64
%patch18 -p1 -b .creator4
%patch21 -p1 -b .mach64_2
%patch302 -p0 -b .glint
%endif

# fix xterm key mappings
%patch51 -p1 -b .xtermresources

# slovenian Xkb map
%patch55 -p1 -b .si_xkb

# fix memory detection on Cirrus 5480 series chips
%patch58 -p1 -b .5480mem

# fix rage mobility chipset (IBM ThinkPads)
#%patch59 -p1 -b .ragemobility

# 2001
%patch60 -p1 -b .fixreleasedate

# Mandrake menu for twm
#%patch201 -p0

## i18n
# patch to add georgian and lithuanian and correct tcvn encoding to X-TT
%patch203 -p1 -b .srtxg2

# Add TrueType font path to xf86config, XF86Setup and default paths
%patch204 -p0 -b .truetype

# patch to add/correct support to display vietnamese, ukrainian, laotian,
# armenian and georgian
##TODO
%patch205 -p1 -b .srtxg

# fix for Big5 support in X-TT
%patch206 -p0 -b .big5_fix

# add new keyboards, fix some old ones, add AltGr-E for Eurosign in 'us' map
# for distribution building don't use the -b parameter of patch; otherwise
# the symbols.dir file will list some bogus files...
#%patch207 -p1

%patch301 -p1

# remove dos patch from Caldera
#%patch400 -p1

# K6 patch
%ifarch k6
%patch800 -p1
%endif

%patch600 -p1

%patch700 -p0
%patch701 -p1
%patch702 -p0
%patch703 -p0
%patch704 -p1
%patch705 -p1
%patch706 -p1
%patch707 -p1

%patch900 -p1

###

%ifarch k6
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -fno-schedule-insns2"
export RPM_OPT_FLAGS
%endif

cat >>xc/config/cf/xf86site.def <<END
#define DefaultGcc2i386Opt	$RPM_OPT_FLAGS
#define HasLdRunPath		NO
#define HasFreeType		YES
#define HasZlib			YES
#define BuildWithFreeType	YES
#define FreeTypeLibDir		/usr/lib
#define FreeTypeIncDir		/usr/include/freetype
#define FreeTypeLibName		ttf
#define HasBlindFaithInUnicode	YES
#define XVendorString		"%distribution (XFree86 %{version}, X-TT %{xtt_ver}, patch level %{release})"
#define NormalLibFont		NO
#define BuildXF86Setup		NO
#define BuildServersOnly	YES
END

# DrakX fonts
mkdir mdk-fonts
bzcat $RPM_SOURCE_DIR/mdk_drakx_fonts.tar.bz2 | tar xf - -C mdk-fonts

%build
%ifarch alpha
%make_build World -C xc CDEBUGFLAGS="$RPM_OPT_FLAGS -Wa,-m21164a"
# we are having problems with the compiler on alpha.
make -C xc/programs/xterm CDEBUGFLAGS="-Wa,-m21164a"
make -C xc
rm xc/programs/xfs/os/io.o
pushd xc/programs/xfs/os
make CDEBUGFLAGS=""
cd ..
rm xfs
make CDEBUGFLAGS=""
popd
%else
RPM_OPT_FLAGS=$(echo $RPM_OPT_FLAGS|sed 's/-fomit-frame-pointer//')

%make_build World -C xc CC="gcc" CXX="g++" CDEBUGFLAGS="$RPM_OPT_FLAGS" \
	CXXDEBUGFLAGS="$RPM_OPT_FLAGS" \
	DEFAULTFONTPATH="/usr/X11R6/lib/X11/fonts/misc/:unscaled,unix/:-1"

%endif

%if 0
# silly, but it works around an apparent egcs bug that breaks netscape
# REMOVE THIS WHEN FIXED!!!
%ifarch %ix86
{
	rm xc/lib/{X11,X11/unshared}/{imLcFlt.o,FilterEv.o}
	rm xc/lib/{Xt,Xt/unshared}/{Event.o,Callback.o,Destroy.o,NextEvent.o}
	pushd xc/lib
	make CDEBUGFLAGS=""
	popd
}
%endif

# DrakX fonts
for i in mdk-fonts/*.bdf ; do
	LD_LIBRARY_PATH=xc/lib/font xc/programs/bdftopcf/bdftopcf -o mdk-fonts/`basename $i .bdf`.pcf $i
done
gzip -9 mdk-fonts/*.pcf

echo PACKAGING DOCUMENTATION
# rezip these - they are in the old compress format
find xc/doc/hardcopy -name \*.PS.Z | xargs gzip -df
find xc/doc/hardcopy -name \*.PS | xargs gzip

groff -Tascii -ms xc/doc/misc/RELNOTES.ms > xc/doc/hardcopy/RELNOTES.txt
rm xc/doc/hardcopy/BDF/*
groff -Tascii -ms xc/doc/specs/BDF/bdf.ms > xc/doc/hardcopy/BDF/bdf.txt
rm xc/doc/hardcopy/CTEXT/*
groff -Tascii -ms xc/doc/specs/CTEXT/ctext.tbl.ms >xc/doc/hardcopy/CTEXT/ctext.tbl.txt
mkdir -p xc/doc/hardcopy/DPMS
groff -Tascii -ms xc/doc/specs/DPMS/DPMS.ms > xc/doc/hardcopy/DPMS/DPMS.txt
groff -Tascii -ms xc/doc/specs/DPMS/DPMSLib.ms >xc/doc/hardcopy/DPMS/DPMSLib.txt
rm xc/doc/hardcopy/FSProtocol/*
groff -Tascii -ms xc/doc/specs/FSProtocol/protocol.ms >xc/doc/hardcopy/FSProtocol/protocol.txt
rm xc/doc/hardcopy/ICCCM/*
groff -Tascii -ms xc/doc/specs/ICCCM/icccm.ms >xc/doc/hardcopy/ICCCM/icccm.txt+rm xc/doc/hardcopy/ICE/*
groff -Tascii -ms xc/doc/specs/ICE/ICElib.ms >xc/doc/hardcopy/ICE/ICElib.txt
groff -Tascii -ms xc/doc/specs/ICE/ice.ms > xc/doc/hardcopy/ICE/ice.txt
cp xc/doc/specs/PM/PM_spec xc/doc/hardcopy/ICE
rm xc/doc/hardcopy/SM/*
groff -Tascii -ms xc/doc/specs/SM/SMlib.ms > xc/doc/hardcopy/SM/SMlib.txt
rm xc/doc/hardcopy/XDMCP/*
groff -Tascii -ms xc/doc/specs/XDMCP/xdmcp.ms >xc/doc/hardcopy/XDMCP/xdmcp.txt+rm xc/doc/hardcopy/XIM/*
groff -Tascii -ms xc/doc/specs/XIM/xim.ms > xc/doc/hardcopy/XIM/xim.txt
rm xc/doc/hardcopy/XLFD/*
groff -Tascii -ms xc/doc/specs/XLFD/xlfd.tbl.ms >xc/doc/hardcopy/XLFD/xlfd.tbl.txt
%endif

%install
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m 644 ${RPM_SOURCE_DIR}/xserver.pamd $RPM_BUILD_ROOT/etc/pam.d/xserver
install -m 644 ${RPM_SOURCE_DIR}/xdm.pamd $RPM_BUILD_ROOT/etc/pam.d/xdm
mkdir -p $RPM_BUILD_ROOT/etc/security/console.apps
touch $RPM_BUILD_ROOT/etc/security/console.apps/xserver

mkdir -p $RPM_BUILD_ROOT/usr/include
rm -f $RPM_BUILD_ROOT/usr/include/X11

make DESTDIR=$RPM_BUILD_ROOT install install.man -C xc

# we don't want the libz.a from XFree86 -- it's broken
rm -f $RPM_BUILD_ROOT/usr/X11R6/lib/libz.a

# setup the default X server
rm -f $RPM_BUILD_ROOT/usr/X11R6/bin/X
ln -s Xwrapper $RPM_BUILD_ROOT/usr/X11R6/bin/X

%if "%_with_xfree336" == "--with-xfree336"
# don't make SuperProbe setuid
# don't make the servers setuid
(	cd $RPM_BUILD_ROOT/usr/X11R6/bin
	chmod 755 SuperProbe XF86_*
# Xsun* XF68_*
)

# we now provide a backwards compatible link for color-xterm/nxterm
{
	pushd $RPM_BUILD_ROOT/usr/X11R6/bin
	ln -f xterm nxterm
	popd
}

# explicitly create X authdir
mkdir -p $RPM_BUILD_ROOT/etc/X11/xdm/authdir
chmod 0700 $RPM_BUILD_ROOT/etc/X11/xdm/authdir
cp -a $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xdm/chooser $RPM_BUILD_ROOT/etc/X11/xdm/
rm -rf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xdm
ln -sf ../../../../etc/X11/xdm $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xdm

# Move config config stuff to /etc/X11
mkdir -p $RPM_BUILD_ROOT/etc/X11
ln -sf ../../../../etc/X11/XF86Config $RPM_BUILD_ROOT/usr/X11R6/lib/X11/XF86Config

for i in twm fs xsm; do
    rm -rf $RPM_BUILD_ROOT/etc/X11/$i
    cp -ar $RPM_BUILD_ROOT/usr/X11R6/lib/X11/$i $RPM_BUILD_ROOT/etc/X11
    rm -rf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/$i
    ln -sf ../../../../etc/X11/$i $RPM_BUILD_ROOT/usr/X11R6/lib/X11/$i
done

# xkb 'compiled' files need to be in /var/lib/xkb, so
# /usr is NFS / read-only mountable
mkdir -p $RPM_BUILD_ROOT/var/lib/xkb
cp -a $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xkb/compiled/* \
	$RPM_BUILD_ROOT/var/lib/xkb
rm -rf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xkb/compiled
ln -sf ../../../../../var/lib/xkb \
	$RPM_BUILD_ROOT/usr/X11R6/lib/X11/xkb/compiled

# This one hes on xinitrc package now.
## install replacement Xsession file for xdm
#install -m 755 $RPM_SOURCE_DIR/Xsession.mandrake \
#      $RPM_BUILD_ROOT/etc/X11/xdm/Xsession

# we install our own config file for the xfs package
install -m 644 $RPM_SOURCE_DIR/xfs.config \
	$RPM_BUILD_ROOT/etc/X11/fs/config
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 $RPM_SOURCE_DIR/xfs.init \
	$RPM_BUILD_ROOT/etc/rc.d/init.d/xfs

# install service for xdm
#install -m 755 $RPM_SOURCE_DIR/xdm.init \
#	$RPM_BUILD_ROOT/etc/rc.d/init.d/xdm

# we get xinit from a separate package
rm -rf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xinit
ln -sf ../../../../etc/X11/xinit $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xinit

# Fix up symlinks
mkdir -p $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/usr/man
mkdir -p $RPM_BUILD_ROOT/usr/include $RPM_BUILD_ROOT/usr/lib
ln -sf ../X11R6/bin $RPM_BUILD_ROOT/usr/bin/X11
ln -sf ../X11R6/man $RPM_BUILD_ROOT/usr/man/X11
ln -sf ../X11R6/include/X11 $RPM_BUILD_ROOT/usr/include/X11
ln -sf ../X11R6/lib/X11 $RPM_BUILD_ROOT/usr/lib/X11

(set +x; strip $RPM_BUILD_ROOT/usr/X11R6/bin/*)

for n in libX11.so.6.1 libICE.so.6.3 libSM.so.6.0 libXext.so.6.3 libXt.so.6.0 \
	 libXmu.so.6.0 libXaw.so.6.1 libXIE.so.6.0 libXi.so.6.0 \
	 libXtst.so.6.1; do
	ln -sf $n $RPM_BUILD_ROOT/usr/X11R6/lib/`echo $n | sed "s/\.so.*/\.so/"`
done

# this gets the wrong permissions by default -- I don't know or care why
chmod 755 $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xkb/geometry/sgi

# this certainly doesn't need to be setuid
chmod 755 $RPM_BUILD_ROOT/usr/X11R6/bin/dga

# EURO support
(cd $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc;
 tar xyf $RPM_SOURCE_DIR/eurofonts-X11.tar.bz2;
 bdftopcf -t Xlat9-10x20.bdf |gzip -9 >Xlat9-10x20-lat9.pcf.gz;
 bdftopcf -t Xlat9-8x14.bdf |gzip -9 >Xlat9-8x14-lat9.pcf.gz;
 bdftopcf -t Xlat9-9x16.bdf |gzip -9 >Xlat9-9x16-lat9.pcf.gz;
 rm *.bdf
 mkfontdir $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc)

%ifarch %ix86 sparc sparc64 m68k
  ln -sf libPEX5.so.6.0 $RPM_BUILD_ROOT/usr/X11R6/lib/libPEX5.so.6
%endif

# create at least an empty Compose dir for each locale; otherwise the
# keysysms of keyboard map files don't work
#
# also a dirty hack to make japanese, polish etc display correctly

chmod u+w $RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/*/*

for i in \
        iso8859-1 iso8859-2 iso8859-3 iso8859-4 iso8859-5 iso8859-6 \
        iso8859-7 iso8859-8 iso8859-9 iso8859-10 iso8859-13 iso8859-14 \
	iso8859-15 armscii-8 georgian-academy georgian-ps ibm-cp1133 \
	koi8-r koi8-u mulelao-1 vi_VN.tcvn th_TH.TACTIS vi_VN.viscii \
	microsoft-cp1251 microsoft-cp1255 isiri-3342 \
	ja ja.SJIS ja.JIS ko zh zh_TW zh_TW.Big5 en_US.utf
do
	mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/$i
        touch $RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/$i/Compose

	# is this still needed ?
	if [ -r $RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/$i/XLC_LOCALE ]; then
		cp $RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/$i/XLC_LOCALE \
			$RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/$i/aa
		cat $RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/$i/aa | \
			sed 's|^use_stdc_env|#use_stdc_env|' | \
			sed 's|^force_convert_to_mb|#force_convert_to_mb|' > \
			$RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/$i/XLC_LOCALE
		rm $RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/$i/aa
	fi
done

# locales alias files
rm -f $RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/compose.dir
bzcat %SOURCE11 > \
	$RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/compose.dir
rm -f $RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/locale.dir
bzcat %SOURCE12 > \
	$RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/locale.dir
rm -f $RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/locale.alias
bzcat %SOURCE13 > \
	$RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/locale.alias
# bad hack, remove it after cleaning up the i18n patch -- srtxg
cp -f %SOURCE14 $RPM_BUILD_ROOT/usr/X11R6/include/X11/keysymdef.h

# DrakX fonts
mkdir $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/mdk
cp mdk-fonts/*.gz $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/mdk/
LD_LIBRARY_PATH=xc/lib/font $RPM_BUILD_ROOT/usr/X11R6/bin/mkfontdir $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/mdk

# Menu support
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu $RPM_BUILD_ROOT/etc/menu-methods
install -m 755 %SOURCE9 $RPM_BUILD_ROOT/etc/menu-methods/twm
cat > $RPM_BUILD_ROOT/usr/lib/menu/%name << EOF
?package(%name): needs=x11 section=Multimedia/Graphics longtitle="Bitmap: editor for X bitmap files" title=Bitmap command=bitmap
?package(%name): needs=x11 section=Applications/Development/Tools longtitle="Editres: resource editor for X Toolkit applications" title=Editres command=editres
#?package(%name): needs=x11 section=Office longtitle="Xclipboard: clipboard for text cut and paste operations in X" title=Xclipboard command=xclipboard
#?package(%name): needs=x11 section=Office hints="Clocks" longtitle="Xclock (analog): analog clock for X" title="Xclock (analog)" command="xclock -analog"
#?package(%name): needs=x11 section=Office hints="Clocks" longtitle="Xclock (digital): digital clock for X" title="Xclock (digital)" command="xclock -digital"
?package(%name): needs=x11 section=Applications/Monitoring longtitle="Xconsole: monitor system console messages with X" title=Xconsole command=xconsole
#?package(%name): needs=x11 section=Office longtitle="Xcutsel: interchange between cut buffer and selection in X" title=Xcutsel command=xcutsel
?package(%name): needs=x11 section=Amusement/Toys longtitle="Xmag: magnify parts of the X screen" title=Xmag command=xmag
?package(%name): needs=x11 section=Applications/Monitoring longtitle="Xkill: kill X clients" title=Xkill command=xkill
?package(%name): needs=x11 section=Amusement/Toys longtitle="Xlogo: display X logo" title=Xlogo command=xlogo
?package(%name): needs=x11 section=Applications/Monitoring longtitle="Xrefresh: redraw X screen" title=Xrefresh command=xrefresh
?package(%name): needs=x11 section=Multimedia/Graphics longtitle="X Window Snapshot: take snapshot of any X window (xwd|xwud)" title="X Window Snapshot" command="xwd | xwud"
?package(%name): needs=wm section=Session/Windowmanagers longtitle="Twm: Tab Window Manager" title=Twm command=twm
EOF
install -m 644 %SOURCE10 $RPM_BUILD_ROOT/etc/X11/twm/system.twmrc-menu

# remove xterm resources to avoid conflicts with the xterm package
rm -f $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/XTerm

mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
cat << EOF > $RPM_BUILD_ROOT/etc/logrotate.d/xdm
/var/log/xdm-error.log {
    notifempty
    missingok
    nocompress
}
EOF

%endif # --with-xfree336

%post -n XFree86-server-common -p /sbin/ldconfig
%postun -n XFree86-server-common -p /sbin/ldconfig

%if "%_with_xfree336" == "--with-xfree336"
%post
if [ -x /usr/bin/update-menus ]; then /usr/bin/update-menus; fi

%postun
if [ "$1" = 0 -a -x /usr/bin/update-menus ]; then /usr/bin/update-menus; fi

#%post
#/sbin/chkconfig --add xdm

%pre
# here, we put things that we have moved around (like directories)
# that need to be cleaned up prior to the RPM's installation.
# Ugly. Necessary.
if [ ! -L /usr/X11R6/lib/X11/xkb/compiled ]; then
  if [ -d /usr/X11R6/lib/X11/xkb/compiled ]; then
    mkdir -p /var/lib/xkb 2>/dev/null
    mv -f /usr/X11R6/lib/X11/xkb/compiled/* /var/lib/xkb /var/lib/xkb 2>/dev/null || :
    rmdir /usr/X11R6/lib/X11/xkb/compiled 2> /dev/null
    ln -sf ../../../../../var/lib/xkb /usr/X11R6/lib/X11/xkb/compiled 2>/dev/null || :
  fi
fi

#%postun
#if [ $1 = 0 ]; then
#    /sbin/chkconfig --del xdm
#fi

%post libs
grep "^/usr/X11R6/lib$" /etc/ld.so.conf >/dev/null 2>&1
[ $? -ne 0 ] && echo "/usr/X11R6/lib" >> /etc/ld.so.conf
/sbin/ldconfig

%postun libs
if [ "$1" = "0" ]; then
    rm -f /etc/ld.so.conf.new
    grep -v "/usr/X11R6/lib" /etc/ld.so.conf > /etc/ld.so.conf.new
    mv -f /etc/ld.so.conf.new /etc/ld.so.conf
fi
/sbin/ldconfig

%verifyscript libs
echo -n "Looking for /usr/X11R6/lib in /etc/ld.so.conf... "
if ! grep "^/usr/X11R6/lib$" /etc/ld.so.conf > /dev/null; then
    echo "missing"
    echo "/usr/X11R6/lib missing from /etc/ld.so.conf" >&2
else
    echo "found"
fi

%post 75dpi-fonts
/usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/75dpi
# it exists under various names...
killall -q -USR1 xfs || killall -q -USR1 xtt || killall -q -USR1 xfsft
if [ -n "$DISPLAY" ]; then
   /usr/X11R6/bin/xset fp rehash
fi

%postun 75dpi-fonts
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/X11R6/lib/X11/fonts/75dpi
fi
# it exists under various names...
killall -q -USR1 xfs || killall -q -USR1 xtt || killall -q -USR1 xfsft
if [ -n "$DISPLAY" ]; then
   /usr/X11R6/bin/xset fp rehash
fi

%post 100dpi-fonts
/usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/100dpi
# it exists under various names...
killall -q -USR1 xfs || killall -q -USR1 xtt || killall -q -USR1 xfsft
if [ -n "$DISPLAY" ]; then
   /usr/X11R6/bin/xset fp rehash
fi

%postun 100dpi-fonts
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/X11R6/lib/X11/fonts/100dpi
fi
# it exists under various names...
killall -q -USR1 xfs || killall -q -USR1 xtt || killall -q -USR1 xfsft
if [ -n "$DISPLAY" ]; then
   /usr/X11R6/bin/xset fp rehash
fi

%post cyrillic-fonts
/usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/cyrillic
# it exists under various names...
killall -q -USR1 xfs || killall -q -USR1 xtt || killall -q -USR1 xfsft
if [ -n "$DISPLAY" ]; then
   /usr/X11R6/bin/xset fp rehash
fi

%postun cyrillic-fonts
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/X11R6/lib/X11/fonts/cyrillic
fi
# it exists under various names...
killall -q -USR1 xfs || killall -q -USR1 xtt || killall -q -USR1 xfsft
if [ -n "$DISPLAY" ]; then
   /usr/X11R6/bin/xset fp rehash
fi

%pre xfs
/usr/sbin/useradd -c "X Font Server" \
	-s /bin/false -r -d /etc/X11/fs xfs 2>/dev/null || :

%post xfs
/sbin/chkconfig --add xfs

%postun xfs
if [ $1 = 0 ]; then
    /sbin/chkconfig --del xfs
    /usr/sbin/userdel xfs 2>/dev/null || :
    /usr/sbin/groupdel xfs 2>/dev/null || :
fi

%files
%config %doc /usr/X11R6/lib/X11/XF86Config.eg
%docdir /usr/X11R6/lib/X11/doc

%ifarch %ix86 alpha sparc sparc64
%doc /usr/X11R6/lib/X11/Cards
%endif

%dir /usr/X11R6
%dir /usr/X11R6/lib
%dir /usr/X11R6/lib/X11
%dir /usr/X11R6/lib/X11/rstart
%dir /usr/X11R6/lib/X11/rstart/commands
%dir /usr/X11R6/lib/X11/rstart/commands/x11r6
%dir /usr/X11R6/lib/X11/rstart/contexts
%dir /usr/X11R6/lib/X11/etc
%dir /usr/X11R6/lib/X11/fonts
%dir /usr/X11R6/lib/X11/xserver

%dir /usr/X11R6/bin

%dir /etc/X11/twm
%dir /etc/X11/xdm
%dir %attr(0700,root,root) /etc/X11/xdm/authdir
%dir /etc/X11/xsm
/etc/X11/xdm/chooser

#%config /etc/rc.d/init.d/xdm
%config /etc/pam.d/xserver
%config /etc/pam.d/xdm
%config(missingok) /etc/security/console.apps/xserver
%config /etc/X11/twm/system.twmrc-menu
%config /etc/X11/xsm/system.xsm
%config /etc/menu-methods/twm
%config /etc/logrotate.d/xdm

/usr/lib/menu/%name

/usr/X11R6/lib/X11/XErrorDB
/usr/X11R6/lib/X11/XKeysymDB
/usr/X11R6/lib/X11/locale
/usr/X11R6/lib/X11/lbxproxy
/usr/X11R6/lib/X11/proxymngr
%dir /usr/X11R6/lib/X11/app-defaults
%config /usr/X11R6/lib/X11/app-defaults/*

/usr/X11R6/lib/X11/xkb
/var/lib/xkb
/usr/X11R6/lib/X11/xinit
/usr/X11R6/lib/X11/xdm
/usr/X11R6/lib/X11/twm
/usr/X11R6/lib/X11/xsm

/usr/X11R6/lib/X11/xserver/SecurityPolicy
/usr/X11R6/lib/X11/XF86Config
/usr/X11R6/lib/X11/rstart/rstartd.real
%config /usr/X11R6/lib/X11/rstart/config
/usr/X11R6/lib/X11/rstart/commands/x11r6/@List
/usr/X11R6/lib/X11/rstart/commands/x11r6/LoadMonitor
/usr/X11R6/lib/X11/rstart/commands/x11r6/Terminal
/usr/X11R6/lib/X11/rstart/commands/@List
/usr/X11R6/lib/X11/rstart/commands/ListContexts
/usr/X11R6/lib/X11/rstart/commands/ListGenericCommands
/usr/X11R6/lib/X11/rstart/contexts/@List
/usr/X11R6/lib/X11/rstart/contexts/default
/usr/X11R6/lib/X11/rstart/contexts/x11r6
/usr/X11R6/lib/X11/x11perfcomp
/usr/X11R6/lib/X11/doc
/usr/X11R6/lib/X11/etc/sun.termcap
/usr/X11R6/lib/X11/etc/sun.terminfo
#/usr/X11R6/lib/X11/etc/xterm.termcap
#/usr/X11R6/lib/X11/etc/xterm.terminfo

%ifarch %ix86 alpha sparc sparc64
/usr/X11R6/lib/X11/etc/et4000clock.c
%endif

/usr/X11R6/lib/X11/etc/xmodmap.std
/usr/X11R6/lib/X11/etc/postinst.sh
/usr/X11R6/lib/X11/etc/preinst.sh
%attr(4711,root,root)		/usr/X11R6/bin/Xwrapper
/usr/X11R6/bin/X
/usr/X11R6/bin/Xprt
/usr/X11R6/bin/lbxproxy
/usr/X11R6/bin/proxymngr
/usr/X11R6/bin/rstartd
/usr/X11R6/bin/xfindproxy
/usr/X11R6/bin/xfwp
/usr/X11R6/bin/xrx
/usr/X11R6/bin/lndir
/usr/X11R6/bin/mkdirhier
/usr/X11R6/bin/gccmakedep
/usr/X11R6/bin/mergelib
/usr/X11R6/bin/makeg
/usr/X11R6/bin/appres
/usr/X11R6/bin/bdftopcf
/usr/X11R6/bin/beforelight
/usr/X11R6/bin/bitmap
/usr/X11R6/bin/bmtoa
/usr/X11R6/bin/atobm
/usr/X11R6/bin/editres
/usr/X11R6/bin/iceauth
/usr/X11R6/bin/mkfontdir
/usr/X11R6/bin/showrgb
/usr/X11R6/bin/rstart
/usr/X11R6/bin/smproxy
/usr/X11R6/bin/twm
/usr/X11R6/bin/x11perf
/usr/X11R6/bin/x11perfcomp
/usr/X11R6/bin/Xmark
/usr/X11R6/bin/xauth
/usr/X11R6/bin/xclipboard
/usr/X11R6/bin/xcutsel
/usr/X11R6/bin/xclock
/usr/X11R6/bin/xcmsdb
/usr/X11R6/bin/xconsole
/usr/X11R6/bin/xdm
/usr/X11R6/bin/sessreg
/usr/X11R6/bin/xdpyinfo
%attr(0755,root,root)		/usr/X11R6/bin/dga
/usr/X11R6/bin/xfd
/usr/X11R6/bin/xhost
/usr/X11R6/bin/xieperf
/usr/X11R6/bin/xinit
%config /usr/X11R6/bin/startx
/usr/X11R6/bin/setxkbmap
/usr/X11R6/bin/xkbcomp
/usr/X11R6/bin/xkbevd
/usr/X11R6/bin/xkbprint
/usr/X11R6/bin/xkbvleds
/usr/X11R6/bin/xkbwatch
/usr/X11R6/bin/xkbbell
/usr/X11R6/bin/xkill
/usr/X11R6/bin/xlogo
/usr/X11R6/bin/xlsatoms
/usr/X11R6/bin/xlsclients
/usr/X11R6/bin/xlsfonts
/usr/X11R6/bin/xmag
/usr/X11R6/bin/xmh
/usr/X11R6/bin/xmodmap
/usr/X11R6/bin/xprop
/usr/X11R6/bin/xrdb
/usr/X11R6/bin/xset
/usr/X11R6/bin/xrefresh
/usr/X11R6/bin/xsetmode
/usr/X11R6/bin/xsetpointer
/usr/X11R6/bin/xsetroot
/usr/X11R6/bin/xsm
/usr/X11R6/bin/xstdcmap
#/usr/X11R6/bin/xterm
#/usr/X11R6/bin/nxterm
#/usr/X11R6/bin/resize
/usr/X11R6/bin/xvidtune
/usr/X11R6/bin/xwd
/usr/X11R6/bin/xwininfo
/usr/X11R6/bin/xwud
/usr/X11R6/bin/xon

%ifarch %ix86 alpha sparc sparc64
/usr/X11R6/bin/reconfig
/usr/X11R6/bin/xf86config
/usr/X11R6/bin/scanpci
/usr/X11R6/bin/SuperProbe
%endif

/usr/X11R6/include/X11/bitmaps

%dir /usr/X11R6/man
/usr/X11R6/man/man1/lbxproxy.1x*
/usr/X11R6/man/man1/proxymngr.1x*
/usr/X11R6/man/man1/xfindproxy.1x*
/usr/X11R6/man/man1/xfwp.1x*
/usr/X11R6/man/man1/xrx.1x*
/usr/X11R6/man/man1/lndir.1x*
/usr/X11R6/man/man1/makestrs.1x*
/usr/X11R6/man/man1/makeg.1x*
/usr/X11R6/man/man1/mkdirhier.1x*
/usr/X11R6/man/man1/appres.1x*
/usr/X11R6/man/man1/bdftopcf.1x*
/usr/X11R6/man/man1/beforelight.1x*
/usr/X11R6/man/man1/bitmap.1x*
/usr/X11R6/man/man1/bmtoa.1x*
/usr/X11R6/man/man1/atobm.1x*
/usr/X11R6/man/man1/editres.1x*
/usr/X11R6/man/man1/iceauth.1x*
/usr/X11R6/man/man1/mkfontdir.1x*
/usr/X11R6/man/man1/showrgb.1x*
/usr/X11R6/man/man1/rstart.1x*
/usr/X11R6/man/man1/rstartd.1x*
/usr/X11R6/man/man1/smproxy.1x*
/usr/X11R6/man/man1/twm.1x*
/usr/X11R6/man/man1/x11perf.1x*
/usr/X11R6/man/man1/x11perfcomp.1x*
/usr/X11R6/man/man1/xauth.1x*
/usr/X11R6/man/man1/xclipboard.1x*
/usr/X11R6/man/man1/xcutsel.1x*
/usr/X11R6/man/man1/xclock.1x*
/usr/X11R6/man/man1/xcmsdb.1x*
/usr/X11R6/man/man1/xconsole.1x*
/usr/X11R6/man/man1/xdm.1x*
/usr/X11R6/man/man1/sessreg.1x*
/usr/X11R6/man/man1/xdpyinfo.1x*
/usr/X11R6/man/man1/dga.1x*
/usr/X11R6/man/man1/xfd.1x*
/usr/X11R6/man/man1/xhost.1x*
/usr/X11R6/man/man1/xieperf.1x*
/usr/X11R6/man/man1/xinit.1x*
/usr/X11R6/man/man1/startx.1x*
/usr/X11R6/man/man1/setxkbmap.1x*
/usr/X11R6/man/man1/xkbcomp.1x*
/usr/X11R6/man/man1/xkbevd.1x*
/usr/X11R6/man/man1/xkbprint.1x*
/usr/X11R6/man/man1/xkill.1x*
/usr/X11R6/man/man1/xlogo.1x*
/usr/X11R6/man/man1/xlsatoms.1x*
/usr/X11R6/man/man1/xlsclients.1x*
/usr/X11R6/man/man1/xlsfonts.1x*
/usr/X11R6/man/man1/xmag.1x*
/usr/X11R6/man/man1/xmh.1x*
/usr/X11R6/man/man1/xmodmap.1x*
/usr/X11R6/man/man1/xprop.1x*
/usr/X11R6/man/man1/xrdb.1x*
/usr/X11R6/man/man1/xrefresh.1x*
/usr/X11R6/man/man1/xset.1x*
/usr/X11R6/man/man1/xsetmode.1x*
/usr/X11R6/man/man1/xsetpointer.1x*
/usr/X11R6/man/man1/xsetroot.1x*
/usr/X11R6/man/man1/xsm.1x*
/usr/X11R6/man/man1/xstdcmap.1x*
#/usr/X11R6/man/man1/xterm.1x*
#/usr/X11R6/man/man1/resize.1x*
/usr/X11R6/man/man1/xvidtune.1x*
/usr/X11R6/man/man1/xwd.1x*
/usr/X11R6/man/man1/xwininfo.1x*
/usr/X11R6/man/man1/xwud.1x*
/usr/X11R6/man/man1/xon.1x*
/usr/X11R6/man/man1/Xserver.1x*
/usr/X11R6/man/man1/XFree86.1x*
/usr/X11R6/man/man5/XF86Config.5x*

%ifarch %ix86 alpha sparc sparc64
/usr/X11R6/man/man1/reconfig.1x*
/usr/X11R6/man/man1/xf86config.1x*
/usr/X11R6/man/man1/SuperProbe.1x*
%endif

%dir /usr/X11R6/lib/X11/fonts/Speedo
/usr/X11R6/lib/X11/fonts/Speedo/*.spd
%config(noreplace) /usr/X11R6/lib/X11/fonts/Speedo/fonts.*

%dir /usr/X11R6/lib/X11/fonts/Type1
/usr/X11R6/lib/X11/fonts/Type1/*.pfa
/usr/X11R6/lib/X11/fonts/Type1/*.pfb
%config(noreplace) /usr/X11R6/lib/X11/fonts/Type1/fonts.*

%dir /usr/X11R6/lib/X11/fonts/misc
/usr/X11R6/lib/X11/fonts/misc/*.gz
%config(noreplace) /usr/X11R6/lib/X11/fonts/misc/fonts.*

%dir /usr/X11R6/lib/X11/fonts/mdk
/usr/X11R6/lib/X11/fonts/mdk/*.gz
%config(noreplace) /usr/X11R6/lib/X11/fonts/mdk/fonts.*

%config /usr/X11R6/lib/X11/rgb.txt

%ifarch %ix86 sparc sparc64 m68k armv4l
/usr/X11R6/lib/X11/fonts/PEX
%endif

%files libs
/usr/X11R6/lib/*.so.6*

%files devel
/usr/X11R6/include
/usr/include/X11
/usr/X11R6/man/man3

/usr/X11R6/lib/X11/config
/usr/X11R6/bin/imake
/usr/X11R6/bin/makedepend
/usr/X11R6/bin/xmkmf

/usr/X11R6/man/man1/imake.1x*
/usr/X11R6/man/man1/makedepend.1x*
/usr/X11R6/man/man1/xmkmf.1x*

/usr/X11R6/lib/*.a

/usr/X11R6/lib/*.so

%files doc
%doc xc/doc/hardcopy/*

%files Xvfb
/usr/X11R6/bin/Xvfb
/usr/X11R6/man/man1/Xvfb.1x*

%files Xnest
/usr/X11R6/bin/Xnest
/usr/X11R6/man/man1/Xnest.1x*

%files 75dpi-fonts
%dir /usr/X11R6/lib/X11/fonts/75dpi
/usr/X11R6/lib/X11/fonts/75dpi/*.gz
%config(noreplace) /usr/X11R6/lib/X11/fonts/75dpi/fonts.*

%files 100dpi-fonts
%dir /usr/X11R6/lib/X11/fonts/100dpi
/usr/X11R6/lib/X11/fonts/100dpi/*.gz
%config(noreplace) /usr/X11R6/lib/X11/fonts/100dpi/fonts.*

%files cyrillic-fonts
%dir /usr/X11R6/lib/X11/fonts/cyrillic
/usr/X11R6/lib/X11/fonts/cyrillic/*.gz
%config(noreplace) /usr/X11R6/lib/X11/fonts/cyrillic/fonts.*

%ifarch %ix86
%files XF86Setup
/usr/X11R6/bin/XF86Setup
/usr/X11R6/bin/xmseconfig
/usr/X11R6/lib/X11/XF86Setup
/usr/X11R6/man/man1/XF86Setup.1x*
/usr/X11R6/man/man1/xmseconfig.1x*
%endif

%files xfs
%doc xtt-%xtt_ver/doc/*
%attr(-,xfs,xfs) %dir /etc/X11/fs
%attr(-,xfs,xfs) %config(noreplace) /etc/X11/fs/config
%config /etc/rc.d/init.d/xfs
/usr/X11R6/lib/X11/fs
/usr/X11R6/bin/fsinfo
/usr/X11R6/bin/fslsfonts
/usr/X11R6/bin/fstobdf
/usr/X11R6/bin/xfs
/usr/X11R6/man/man1/xfs.1x*
/usr/X11R6/man/man1/fsinfo.1x*
/usr/X11R6/man/man1/fslsfonts.1x*
/usr/X11R6/man/man1/fstobdf.1x*

%endif # --with-xfree336

%files -n XFree86-server-common
/usr/X11R6/lib/libfont*.so.*
%ifarch %ix86 alpha m68k armv4l
/usr/X11R6/lib/modules
%endif

%ifarch %ix86 alpha
%files -n XFree86-SVGA
/usr/X11R6/bin/XF86_SVGA
/usr/X11R6/man/man1/XF86_SVGA.1x*
%endif

%ifarch %ix86 sparc sparc64
%files -n XFree86-VGA16
/usr/X11R6/bin/XF86_VGA16
/usr/X11R6/man/man1/XF86_VGA16.1x*
%endif

%ifarch %ix86
%files -n XFree86-W32
/usr/X11R6/bin/XF86_W32
/usr/X11R6/man/man1/XF86_W32.1x*
/usr/X11R6/man/man1/XF86_Accel.1x*
%endif

%ifarch %ix86 alpha
%files -n XFree86-Mono
/usr/X11R6/bin/XF86_Mono
/usr/X11R6/man/man1/XF86_Mono.1x*
%endif

%ifarch %ix86 alpha
%files -n XFree86-S3
/usr/X11R6/bin/XF86_S3
/usr/X11R6/man/man1/XF86_S3.1x*
/usr/X11R6/man/man1/XF86_Accel.1x*
%endif

%ifarch %ix86 alpha
%files -n XFree86-S3V
/usr/X11R6/bin/XF86_S3V
/usr/X11R6/man/man1/XF86_S3.1x*
/usr/X11R6/man/man1/XF86_Accel.1x*
%endif

%ifarch %ix86
%files -n XFree86-8514
/usr/X11R6/bin/XF86_8514
/usr/X11R6/man/man1/XF86_8514.1x*
/usr/X11R6/man/man1/XF86_Accel.1x*
%endif

%ifarch %ix86
%files -n XFree86-Mach8
/usr/X11R6/bin/XF86_Mach8
/usr/X11R6/man/man1/XF86_Mach8.1x*
/usr/X11R6/man/man1/XF86_Accel.1x*
%endif

%ifarch %ix86
%files -n XFree86-Mach32
/usr/X11R6/bin/XF86_Mach32
/usr/X11R6/man/man1/XF86_Mach32.1x*
/usr/X11R6/man/man1/XF86_Accel.1x*
%endif

%ifarch %ix86 alpha sparc sparc64
%files -n XFree86-Mach64
/usr/X11R6/bin/XF86_Mach64
/usr/X11R6/man/man1/XF86_Mach64.1x*
/usr/X11R6/man/man1/XF86_Accel.1x*
%endif

%ifarch %ix86 alpha
%files -n XFree86-P9000
/usr/X11R6/bin/XF86_P9000
/usr/X11R6/man/man1/XF86_P9000.1x*
/usr/X11R6/man/man1/XF86_Accel.1x*
%endif

%ifarch %ix86
%files -n XFree86-AGX
/usr/X11R6/bin/XF86_AGX
/usr/X11R6/man/man1/XF86_AGX.1x*
/usr/X11R6/man/man1/XF86_Accel.1x*
%endif

%ifarch %ix86
%files -n XFree86-I128
/usr/X11R6/bin/XF86_I128
/usr/X11R6/man/man1/XF86_I128.1x*
/usr/X11R6/man/man1/XF86_Accel.1x*
%endif

%ifarch %ix86 alpha sparc sparc64
%files -n XFree86-3DLabs
/usr/X11R6/bin/XF86_3DLabs
/usr/X11R6/man/man1/XF86_Accel.1x*
%endif

%ifarch alpha
%files -n XFree86-TGA
/usr/X11R6/bin/XF86_TGA
%endif

%ifarch m68k armv4l
%files -n XFree86-FBDev
/usr/X11R6/bin/XF68_FBDev
/usr/X11R6/man/man1/XF68_FBDev.1x*
%endif

%ifarch %ix86 alpha sparc sparc64
%files -n XFree86-FBDev
/usr/X11R6/bin/XF86_FBDev
%endif

%ifarch sparc sparc64
%files -n XFree86-Sun
/usr/X11R6/bin/Xsun
%endif

%ifarch sparc sparc64
%files -n XFree86-SunMono
/usr/X11R6/bin/XsunMono
%endif

%ifarch sparc sparc64
%files -n XFree86-Sun24
/usr/X11R6/bin/Xsun24
%endif

%changelog
* Wed Jan 08 2003 Konstantin Volckov <goldhead@altlinux.ru> 3.3.6-ipl24mdk
- Rebuilt with gcc 3.2

* Thu Feb 21 2002 Dmitry V. Levin <ldv@alt-linux.org> 3.3.6-ipl23mdk
- Fixed imake (get_libc_version problem).
- Built with system zlib.

* Tue Sep 4 2001 Konstantin Volckov <goldhead@altlinux.ru> 3.3.6-ipl22mdk
- Fixed comprerssing files
- Added CVS patch
- Added some RedHat patches
- Added Wacom usb support

* Fri Mar 9 2001 AEN <aen@logic.ru>
- rebuild with new glibc

* Sun Dec 24 2000 AEN <aen@logic.ru>
- build for RE

* Wed Dec 20 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.3.6-19mdk
- applied fix06 and fix07
- use savage driver from http://www.probo.com/timr/savagemx.html

* Fri Jul 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.3.6-18mdk
- compile only servers.

* Tue Jul 11 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.3.6-17mdk
- added logrotate of /var/log/xdm-error.log

* Wed Jul  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.3.6-16mdk
- removed ld.so.conf modification in %%post scripts.
- applied fixes from XFree86
- fixed Hebrew, Swedish, Brazilian keyboards
- Added new Lithuanian and Ukrainian keyboards

* Wed May 24 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.3.6-15mdk
- applied patch from Caldera to avoid dos.
- corrected GLINT patch.

* Tue Apr 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.3.6-14mdk
- fixed menu entries.
- compile GLINT server on sparc.
- make i810 work.

* Sat Apr  1 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.3.6-13mdk
- remove remaining files that conflict with the xterm package.
- XFree86 depends on xterm to be backward compatible.

* Fri Mar 31 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.3.6-12mdk
- remove xterm. It has its own package now.

* Wed Mar 29 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.3.6-11mdk
- Fix missing -L/usr/X11R6/lib missing in generated Makefiles.

* Fri Mar 24 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.3.6-10mdk
- better menu support.
- changed the name of the libfont package to server-common and added
dynamically loaded stuff to it.

* Tue Mar 14 2000 David BAUDENS <baudens@mandrakesoft.com> 3.3.6-9mdk
- Add missing x86 archs
- Fix Build for k6
- Use %%_tmppath for BuildRoot

* Mon Mar  6 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.3.6-8mdk
- merged patches from Redhat.
- enabled i810 support.
- split libfont on its own package.
- don't hardcode the search path for libraries.

* Fri Jan 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.3.6-7mdk

- add back the chooser executable.
- build FBdev server on sparc.

* Thu Jan 13 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.3.6-6mdk

- fixed TrueType compilation.

* Wed Jan 12 2000 Pixel <pixel@mandrakesoft.com>
- fix imake/xmkmf on alpha

* Sun Jan  9 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.3.6-4mdk

- disable ScanlineScreenToScreenColorExpand in r128 driver.
- twm menu patch (chmouel).
- 3.3.6 final.

* Thu Jan  6 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.3.6-3mdk

- move mdk_drakx fonts to /usr/X11R6/lib/fonts/mdk to make KDE happy.
- remove some confliting fonts from mdk_drakx_fonts.
- apply patch205 for i18n.

* Mon Jan  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.3.6-2mdk
- fix XF86Config path.
- added I18N fonts used in DrakX from Pablo.

* Thu Dec 30 1999 Frederic Lepied <flepied@mandrakesoft.com> 3.3.6-1mdk

- 3.3.6

* Thu Dec 23 1999 Frederic Lepied <flepied@mandrakesoft.com>

- XFree86-devel depends on glibc-devel and /lib/cpp (for imake).
- added patch from support.intel.com for i810 chipset.
- added patch from Jarno Paananen for geforce.

* Mon Dec 20 1999 Frederic Lepied <flepied@mandrakesoft.com> 3.3.5-10mdk

- fix an xfs bug.
- strip dynamic libraries.

* Thu Dec  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix various %post.
- XFree depends of /lib/cpp (in fact it's xrdb).
- Fix alpha build.
- BuildRequires: freetype-devel
Pablo <pablo@mandrakesoft.com> :
- icons for packages.
- fixed Big5 support in X-TT.
- Upgrades of i18n patch.
- Upgrades of fixkbd patch.

* Wed Oct 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Merge with rh patchs (-7).
- Fix %files listed twiced (but doen't rpm warn about this ? :-\)
- Add prereq of xfs fox Xnest.
- Add doc for xfs.
- Pablo patchs :
    - put back the i18n support
    - added cp1251 locale support to XFree86 (for Bulgarian), and made it the
    default for Buglarian.
    - Fixed Compose files for iso8859-13 and iso8859-14
    - corrected a small error on TCVN-5712 encoding in Xlib.
    - added vietnamese keysyms

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix %ver macros to %version.

* Thu Oct 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add prereq dependences to psmisc in *font* package.
- Remove some patchs.
- Upgrade to xtt-1.3
- Fix my chmou-sux patch.
- Merge with RedHat patchs.
- Pablo Patchs :
    - added *-microsoft-cp125{0,1,3,5,6,7} encodings to X-TT (Bulgarian needs
    cp1251; maybe cp1256 is more popular for arabic (at least as a font
    encoding for displaying), and cp1255 may be preferred for hebrew (it has
    all iso-8859-8 chars at compatible places, plus several hebrew letters
    with diacritics)
    - made iso8859-6_8 the default for *-iso8859-6 fonts (as the "nashkil" font
    does; a strict iso-8859-6 font is rather useless as no shaped glyphs are
    available; the iso8859-6_8 ordering just adds shaped glyphs in the empty
    places). And fixed a small error on iso-8859-6_8 encoding of X-TT
    - added Lithuanian (3 layouts), Estonian, Greek and Israelian keyboards
    for XKB; fixed the Belgian keyboard bugs, and made AltGr-E to type
    the EuroSign available by default (in 'us' keymap) unless explicitely
    overriden.
    - added cp1251 locale support to XFree86 (for Bulgarian), and made it the
    default for Buglarian.
    - Fixed Compose files for iso8859-13 and iso8859-14
    - corrected a small error on TCVN-5712 encoding in Xlib.

* Tue Sep 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix probable security leak in Xaccess files (#213).
- Add k6 arch like lord axalon want.

* Fri Sep 24 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- updated X-TT to 1.2.1 (it allows use of embedded bitmaps in TTF fonts;
  for that you need to update freetype to a version with 'EB' patches
  applied (freetype-1.2-9mdk does)
- added georgian and iso8859-13 support to X-TT
- corrected tcvn-5712 encoding for both Xlib and X-TT
- added iso8859-13 support in Xlib
- added armenian, georgian, latin7 and latin8 keysms
- improved/added Compose files for all latin iso8859-* encodings
- made at least empty Compose files for all locales; so the native keysyms
  for keyboard maps can work

* Mon Sep 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove the Fu***ing Xsession file.
- Clean up in spec file.

* Sun Sep  5 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 3.3.5 Attack.

* Sat Aug 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix again the Xsetup_0 files :-((
- Build with gcc-2.95

* Fri Aug  6 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Get rid of egcs.
- Fix the Xsetup_0 file as suggest by Peter Putzer <putzer@kde.org>
- Add dependences to .xinitrc.
- Fix build with pgcc-1.1.3 (no it's was not the libfonts !!!).

* Sat Jul 17 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.de>
- 3.3.4
- remove some patches; adapt others
- Fix build architectures yet once more (i386 == i486 == i586 == i686)
- add CC="egcs" CXX="egcs++" - pgcc 1.1.3 miscompiles libfont

* Thu Jul  8 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add patch to don't clock probe with Neomagic cards if we do a
  xf86Config/Xconfigurator.
- Fix build architectures problems (i586 is compatible with i386 !!!).
- Thu Jul  8 1999 Thierry Vignaud <tvignaud@mandrakesoft.com> :
    - french description.
- Wed Jul 07 1999 Pablo Saratxaga <pablo@mandrakesoft.com> :
    - added Summary entries for spanish and walloon
    - added a patch that enables support for a lot of iso-8859-* locales,
      and support to display using fonts in the following encodings:
	    *-koi8-u (used in ukrainia)
            *-viscii1.1-1 (for vietnamese)
	    *-tcvn-5712 (vietnamese, official standard in Vietnam)
	    *-armscii-8 (armenian)
	    *-ibm-cp1133 (IBM encoding for laotian)
	    *-mulelao-1 (laotian encoding used by Multi Lingual Emacs)
	    *-georgian-academy (georgian encoding used by georgian univiersities)
	    *-georgian-ps (georgian encoding used by Parliament and Soros Fund)

* Sat Jun 19 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.de>
- Merge in recent RedHat Changes:
  * Mon Jun 07 1999 Preston Brown <pbrown@redhat.com>
    - incorporated all patches since release time from myself and jbj
    - removed xfs port hardcode hack; changed init script to start on port -1
    - package much documentation as text (not PostScript) where easily possible
    - iso8859-2 keyboard input of iso8859-1 chars fixed

* Wed May 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Recompiling XFree for a very stupid typo bugs (06H, i think i don't
  go to sleep this night :-((( )
- Fix bug of xsetroot (#is a comment not a color value) reported by Francis.

* Sun May 09 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Some downgrade to upgrade (contact me for more explication/confusion
  8-))

* Mon Apr 26 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions
- add Euro support
- bzip2 man pages
- handle RPM_OPT_FLAGS better

* Sat Apr 17 1999 Preston Brown <pbrown@redhat.com>
- march64 sparc patch seemed to mess with i386 (problems), ifarch'ed.

* Thu Apr 14 1999 Preston Brown <pbrown@redhat.com>
- added JJ's sparc LEO and Creator patch (sparc3.patch)
- icelandic xkb keyboard

* Wed Apr 13 1999 Preston Brown <pbrown@redhat.com>
- updated PAM patch so that xdm has pam session support
- require latest version of pam
- fix setting of root color in Xsession

* Tue Apr 13 1999 Bill Nottingham <notting@redhat.com>
- don't run *dm from init script, use inittab instead
- add path to sessreg in Give/TakeConsole

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- xfs has /bin/false as shell
- xfs security patch (disable tcp connections)
- giveconsole, takeconsole from xdm make utmp/wtmp entries

* Fri Apr 09 1999 Preston Brown <pbrown@redhat.com>
- fixing xserver pam-console stuff.
- prereq utempter

* Thu Apr 08 1999 Preston Brown <pbrown@redhat.com>
- fixed pam-console stuff for Xwrapper
- added hide flag to init scripts so they don't show up in installer ntsysv

* Wed Apr 07 1999 Preston Brown <pbrown@redhat.com>
- improved xfs init script not to try to lock process 'su' but instead 'xfs',
- fixing bug # 2037.
- czech keyboard fixes
- documentation subpackage
- pam-console patch for Xwrapper from mkj

* Mon Apr 05 1999 Preston Brown <pbrown@redhat.com>
- new improved creator patch (#17)

* Thu Apr 01 1999 Preston Brown <pbrown@redhat.com>
- if I have to touch the %pre stuff for xkb again I will go totally ballistic.
- xfs prereq for shadow-utils

* Tue Mar 30 1999 Preston Brown <pbrown@redhat.com>
- xfs gets its own user (xfs), more xkb fixes

* Mon Mar 29 1999 Preston Brown <pbrown@redhat.com>
- added probing section to xdm init script
- xfs is run by user nobody for security reasons

* Sun Mar 28 1999 Preston Brown <pbrown@redhat.com>
- fix xkb link, add nosuid xterm patch.

* Sat Mar 27 1999 Bill Nottingham <notting@redhat.com>
- unlink /tmp/.X11-unix before making directory

* Sat Mar 27 1999 Jeff Johnson <jbj@redhat.com>
- integrate creator acceleration patch.

* Wed Mar 24 1999 Preston Brown <pbrown@redhat.com>
- obsoletes color-xterm, backwards compatible link as nxterm provided
- fixed up xkb stuff

* Tue Mar 23 1999 Preston Brown <pbrown@redhat.com>
- xdm init script fixes

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- dvorak keymap fix
- fixed xfs upgrade error (it was turning it off by accident)
- moved xkb/compiled stuff to /var partition

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- fonts.alias and fonts.dir are marked as config files now
- thinkingmouse/expertmouse movement patch included

* Wed Mar 17 1999 Preston Brown <pbrown@redhat.com>
- updated xdm.pamd to have pam-console support.
- workaround for netscape problems in %build section
- xdm.init fixes

* Mon Mar 15 1999 Preston Brown <pbrown@redhat.com>
- DGA 1.1 support + fix alpha DGA, fix unaligned trap errors for MGA cards.

* Sat Mar 13 1999 Jakub Jelinek <jj@ultra.linux.cz>
- Creator acceleration.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group, fixed xdm to not start w/o xfs running.

* Thu Feb 18 1999 Preston Brown <pbrown@redhat.com>
- more patches from ultrapenguin for the sparc

* Mon Feb 15 1999 Preston Brown <pbrown@redhat.com>
- made xfs config file "noreplace". font packages use chkfontpath.
- hacked xfs to remove invalid paths w/o dying (used XF86Config code)
- hacked xfs to be a daemon
- improved default xfs config file
- fixed up the init scripts some

* Wed Feb 10 1999 Preston Brown <pbrown@redhat.com>
- updated xdm.init file to be bash 2 compliant.
- xdm.init inadvertently was in xfs package, moved to main package
- patch removed from Xsession, it should get set with -login flag for bash
- fixed KOI8 fontmapping for key 0xB4, also fixed ru_SU patch (bugzilla
  #1109, #1111)

* Sun Feb 07 1999 Preston Brown <pbrown@redhat.com>
- whoops, chkconfig stuff for xfs moved into its own post/postun handler.

* Fri Feb 05 1999 Preston Brown <pbrown@redhat.com>
- added init.d service for gdm/kdm/xdm
- added patch by Owen Taylor for xinput extension

* Tue Feb 02 1999 Preston Brown <pbrown@redhat.com>
- freetype fixes for alpha
- Xauth employed in startx script

* Tue Jan 26 1999 Preston Brown <pbrown@redhat.com>
- forward port back to RawHide (Red Hat 6.0)
- newer version of freetype/truetype support
- fbdev enabled on all archs (2.2 kernel!)
- 3dlabs enabled on alpha
- integrate Cristian's arm stuff
- ru_SU (KOI8-R) character set fixes to locale.alias
- xfs made into an init.d service

* Mon Jan 11 1999 Preston Brown <pbrown@redhat.com>
- integrated 3.3.3.1 patch, removed obsoleted patches.

* Mon Dec 14 1998 Preston Brown <pbrown@redhat.com>
- added permedia chipset clockchip bugfix

* Wed Dec 09 1998 Preston Brown <pbrown@redhat.com>
- alpha sockets patch added, all freetype stuff removed, ultrapeng. banner gone

* Thu Dec 03 1998 Preston Brown <pbrown@redhat.com>
- moved lib/modules and lib/X11/xkb dirs into main package to fix conflicts.

* Wed Dec 02 1998 Preston Brown <pbrown@redhat.com>
- backported package to 5.2.

* Mon Nov 30 1998 Preston Brown <pbrown@redhat.com>
- the big update to XFree 3.3.3. Lots of changes, many patches were merged in.

* Wed Nov 11 1998 Jeff Johnson <jbj@redhat.com>
- sync with ultrapenguin 1.1.
- add __alpha__ check to Imake.cf

* Thu Oct 22 1998 Preston Brown <pbrown@redhat.com>
- added empty fonts.dir and fonts.scale to TrueType dir.

* Wed Oct 21 1998 Preston Brown <pbrown@redhat.com>
- rolled in truetype support to X server / xfs via FreeType.
- separated font server stuff into a separate package

* Thu Oct 08 1998 Cristian Gafton <gafton@redhat.com>
- disabled the S3V patch introduced by Preston
- updated czech patch
- added NeoMagic NM2200 chipset support
- updated NeoMagic patches

* Mon Oct  5 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Acceleration for Creator/Creator3D support.
- Show banner on startup for SPARC Mach64 server as well.

* Fri Oct 02 1998 Preston Brown <pbrown@redhat.com>
- patched cards database to use old S3V driver for most cards

* Wed Sep 30 1998 Cristian Gafton <gafton@redhat.com>
- enhance Xession to read user's .Xmodmap and .Xresources
- TGA patches from Jay
- alpha lnx_video patch from Jay Estabrook
- czech and slovak patches
- added Neomagic patches
- enabled XF86Setup
- added cyrillic fonts to the %files list
- ifarch i386 for XFree86-Setup package

* Thu Aug 27 1998 Jeff Johnson
- another 1386 -> i386 typo (sigh).

* Mon Aug 10 1998 Jeff Johnson <jbj@redhat.com>
- add PAM_TTY to xdm patch.

* Wed Jul 29 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.3.2.3

* Sat Jun 27 1998 Matti Aarnio <matti.aarnio@sonera.fi>
- Four patches for 64-bit systems.

* Tue Jun 23 1998 Eddie C. Dost <ecd@skynet.be>
- Fix mach64/SPARC PCI.

* Thu Jun 11 1998 Jeff Johnson <jbj@redhat.com>
- Merge in m68k changes.

* Mon Jun  8 1998 Jeff Johnson <jbj@redhat.com>
- Add build root.

* Thu Jun 04 1998 Prospector System <bugs@redhat.com>
- translations modified for fr

* Tue Jun 02 1998 Erik Troan <ewt@redhat.com>
- added more security fixes

* Mon May 25 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Merged SPARC port with 3.3.2
- Show banner on startup for Xsun* servers

* Tue May 19 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr

* Wed May 13 1998 Jeff Johnson <jbj@redhat.com>
- Merge in sparc changes.

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue May 05 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Fix colormaps on SBUS cards, add /dev/fb to the list
  of checked devices even for XSunMono

* Mon May 04 1998 Erik Troan <ewt@redhat.com>
- included security fix which fixes a large number of problems

* Wed Apr 22 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Fix fb mapping on non-accelerated SBUS cards
- Further PCI SPARC changes (from ecd).

* Tue Apr 14 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Merge in PCI SPARC support (written by Eddie C. Dost).

* Tue Apr 07 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Unmap all fb mappings before closing fb in SBUS servers,
  otherwise new kernels don't call fb_close and bad things
  happen.

* Mon Mar 30 1998 Erik Troan <ewt@redhat.com>
- switched to using the Xwrapper from XFree86 rather then a separate package

* Sat Mar 21 1998 Jakub Jelinek <jj@ultra.linux.cz>
- built sparc version against glibc

* Sat Mar 21 1998 Michal Rehacek <majkl@iname.com>
- Accelerated support for Creator/Creator3D

* Tue Mar 03 1998 Erik Troan <ewt@redhat.com>
- updated to XFree86 3.3.2

* Fri Jan 16 1998 Erik Troan <ewt@redhat.com>
- turned off setuid bit for X servers
- require xserver-wrapper (which replaces /usr/X11R6/bin/X)

* Wed Nov 05 1997 Erik Troan <ewt@redhat.com>
- removed XF86Setup
- updated file list to include some missing files

* Tue Nov 04 1997 Michael K. Johnson <johnsonm@redhat.com>
- New PAM conversation function conventions

* Mon Sep 29 1997 Erik Troan <ewt@redhat.com>
- built against tcl/tk 8.0

* Wed Sep 03 1997 Erik Troan <ewt@redhat.com>
- set libc version to 6 (which turns on thread support as well)
- used wildcards more liberally in file lists

* Tue Sep 02 1997 Erik Troan <ewt@redhat.com>
- added notiocsltc patch
- added /usr/X11R6/lib/X11/xserver/SecurityPolicy

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- updated to XFree86 3.3.1

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- add shlibs patch, we links shared libraries against -lc

* Thu Jun 12 1997 Erik Troan <ewt@redhat.com>
- Increased release number to 10 for glibc version

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- Updated to XFree86 3.3

* Thu Mar 20 1997 Erik Troan <ewt@redhat.com>
- Changed xdm to use xbanner
- Changed xdm paths to point to /var/run, /var/log, /etc/X11/xdm instead
  of all pointing to /usr/X11R6/lib/X11/xdm

* Thu Mar 06 1997 Erik Troan <ewt@redhat.com>
- Modified to use pam.d.
